bots.botMemoryLog
GET
/v1/bots/{botId}/memory/log
Lists the changes that touch entries that the caller may see.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”botId
required
string
Responses
Section titled “Responses”Success
Media typeapplication/json
Array<object>
object
version
required
integer
at
required
number
by
required
string
ids
required
Array<string>
reason
string
Example
[ { "by": "memory_bot" }]BotInvalid | OrganizationRequired
AuthenticationRequired
Media typeapplication/json
object
_tag
required
string
Example
{ "_tag": "AuthenticationRequired"}PermissionDenied | MembershipRequired | ForbiddenOrigin
BotNotFound
Media typeapplication/json
object
_tag
required
string
bot
required
string
Example
{ "_tag": "BotNotFound"}BotConflict
Media typeapplication/json
object
_tag
required
string
message
required
string
Example
{ "_tag": "BotConflict"}RateLimited
Media typeapplication/json
object
_tag
required
string
retryAfterSeconds
required
integer
Example
{ "_tag": "RateLimited"}AuthorizationUnavailable | BotStorageUnavailable | AuthenticationUnavailable